GNU bug report logs - #31369
xwidget-webkit-browse-url gives blank widget on URL without protocol

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Andrew Yoon <andrewyoon2@HIDDEN>; dated Sat, 5 May 2018 05:12:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'minor' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 May 2018 05:11:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 05 01:11:34 2018
Received: from localhost ([127.0.0.1]:50149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEpTq-0002fn-63
	for submit <at> debbugs.gnu.org; Sat, 05 May 2018 01:11:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrewyoon2@HIDDEN>) id 1fEp9S-0001zU-GT
 for submit <at> debbugs.gnu.org; Sat, 05 May 2018 00:50:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andrewyoon2@HIDDEN>) id 1fEp9M-0001dg-2d
 for submit <at> debbugs.gnu.org; Sat, 05 May 2018 00:50:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.3 required=5.0 tests=BAYES_40,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54385)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andrewyoon2@HIDDEN>)
 id 1fEp9L-0001dW-OG
 for submit <at> debbugs.gnu.org; Sat, 05 May 2018 00:50:23 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36865)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andrewyoon2@HIDDEN>) id 1fEp9K-0006FH-9m
 for bug-gnu-emacs@HIDDEN; Sat, 05 May 2018 00:50:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andrewyoon2@HIDDEN>) id 1fEp9J-0001by-7x
 for bug-gnu-emacs@HIDDEN; Sat, 05 May 2018 00:50:22 -0400
Received: from mail-wm0-x22c.google.com ([2a00:1450:400c:c09::22c]:33494)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <andrewyoon2@HIDDEN>)
 id 1fEp9I-0001Zi-W3
 for bug-gnu-emacs@HIDDEN; Sat, 05 May 2018 00:50:21 -0400
Received: by mail-wm0-x22c.google.com with SMTP id x12-v6so9173883wmc.0
 for <bug-gnu-emacs@HIDDEN>; Fri, 04 May 2018 21:50:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Zd7sCW5HFmsCJPEHsRvGQQhCV7t0h+pFBRGCvoyXP5M=;
 b=JvD5HXofsObOqhO6oT6IId6xmpTZ6I4TsypkdfennNbdPsxaW1ELkvjHlHO45DnuYt
 vl7rIILDCSP5A8zIZT9k11/BYDn80FqJnQShjewt1z4q2nJBiExrPWkufJPkYWJnLxMt
 f2MgaCSBtHn17S1prhjtrpcouk6loUC3U8Tcda/Kp1hVvisHLC/BYL6aq6BgKQIj2m1i
 AYtlDD6GiY98EMzDfWWu+MTISQcWp3wuxSUgtZOmDboPHFCUeID2TxbviCIArxrUzaSd
 GtBGaJfLLKDMq4zsfoP8G1Sh+AkKSDQ30EjGNkW8PXYmSY+zpp7l58nSDaMKauzSy2p+
 bNsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Zd7sCW5HFmsCJPEHsRvGQQhCV7t0h+pFBRGCvoyXP5M=;
 b=B/MW5VP/aVxvmB/MloiXAu/SgaRfloLq8jR85FJX5wDtBo+kpokeMTGePj7wYAq7mm
 uVLIkjqdrAbXwHJA0m7Tli+XcES1GCeVijEmyTqA+UncQaHjCVQmiRG0oSigq+zJ0DD/
 smcoXIe4A8kGfDGBZ+2fC/lk6ZpLzwpIDAlGCn2kEzi0jvUoVn32PhV3tUBAiTtguNKI
 E7Z4NQtwGDgKdDMblRXkBm3v+7b+DiIh95/thJjDSW+Jy9KaD+qNH5QEO/lH2n4SDQzr
 V8KzoFO/H64yUlnYcJjetvKHRqNiH1J9OK0HWDKGwM7/X9rG2povDrVofZz5Xx49MA78
 p+og==
X-Gm-Message-State: ALQs6tAU15vzK7bw8OZitwKJRy9yjsuEF33ORUPAE3+CQ27n7AHf9ffl
 kmWAC/kilgJFH7upg7Dn1Kt4IC2yt06d+yXb1fHjtw==
X-Google-Smtp-Source: AB8JxZoPZkb/x7i9irtPaYBI2b5GNDoc2gRFb5FpBjKzP3aA5dhvWl71u+J/hYdx3bypfIwt41hfEmMyX4tcpsi2h5U=
X-Received: by 2002:a50:ce1b:: with SMTP id
 y27-v6mr25611603edi.300.1525495818793; 
 Fri, 04 May 2018 21:50:18 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.167.215.74 with HTTP; Fri, 4 May 2018 21:50:18 -0700 (PDT)
From: Andrew Yoon <andrewyoon2@HIDDEN>
Date: Sat, 5 May 2018 00:50:18 -0400
Message-ID: <CA+C0MMHWOp-FrKefxAFXo0bz86mpH8XqmVMWNNqb=B0=TkK99g@HIDDEN>
Subject: xwidget-webkit-browse-url gives blank widget on URL without protocol
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000062b6c9056b6e2cc8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 05 May 2018 01:11:32 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

--00000000000062b6c9056b6e2cc8
Content-Type: text/plain; charset="UTF-8"

When launching the webkit browser using `M-x xwidget-webkit-browse-url`
with a
URL such as `gnu.org`, an xwidget buffer with a blank, white background is
loaded. Entering `https://gnu.org` works as expected.

In my case, I thought this was indicative of a configuration error and went
on a
pretty deep dive trying to build latest emacs and checking all my GTK
libraries,
but after someone on IRC suggested I try adding a protocol and it worked, I
believe this is just an elisp error.

I think either an error should be emitted on URLs lacking protocol
specifications or (preferably) the URL would be resolved to a protocol
automatically.

Seen both on emacs 25.3.50.1 and on 2018-05-04 snapshot (around
a2003f9663e5649894b05695f7f2b11a3fa96339)

Andrew Yoon

--00000000000062b6c9056b6e2cc8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">When launching the webkit browser using `M-x xwidget-webki=
t-browse-url` with a<br>URL such as `<a href=3D"http://gnu.org">gnu.org</a>=
`, an xwidget buffer with a blank, white background is<br>loaded. Entering =
`<a href=3D"https://gnu.org">https://gnu.org</a>` works as expected.<br><br=
>In my case, I thought this was indicative of a configuration error and wen=
t on a<br>pretty deep dive trying to build latest emacs and checking all my=
 GTK libraries,<br>but after someone on IRC suggested I try adding a protoc=
ol and it worked, I<br>believe this is just an elisp error.<br><br>I think =
either an error should be emitted on URLs lacking protocol<br>specification=
s or (preferably) the URL would be resolved to a protocol<br>automatically.=
<br><br>Seen both on emacs 25.3.50.1 and on 2018-05-04 snapshot (around<br>=
a2003f9663e5649894b05695f7f2b11a3fa96339)<br><br>Andrew Yoon</div>

--00000000000062b6c9056b6e2cc8--




Acknowledgement sent to Andrew Yoon <andrewyoon2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31369; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 May 2018 23:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.